Summary:       The internationalized domain name (IDN) toolkit
Name:          idnkit
Version:       1.0
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://www.nic.ad.jp/ja/idn/%{name}/download/sources/%{name}-%{version}-src.tar.gz
Patch0:        %{name}-1.0-runidn.patch
URL:           http://www.nic.ad.jp/en/idn/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        JPNIC
Provides:      mdnkit = %{version}-%{release}

%description
idnkit, which was originally known as mDNkit, is a toolkit for handling
internationalized domain names (IDN). IDN is the domain name scheme that
allows not only for ASCII characters, but also other characters commonly
used in various countries or regions. This is done by converting local
domain names to IDN encoding. As the final IDN encoding consists only of
legal ASCII characters, no further changes to DNS servers are required.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Provides:      mdnkit-devel = %{version}-%{release}
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Provides:      mdnkit-static = %{version}-%{release}
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries
for %{name}.


%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1


%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-unused"

%configure \
	--enable-static    \
	--enable-shared    \
	--enable-runidn    \
	--enable-extra-ace \
	--enable-mdnkit-compat

%{__make} #%{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL* LICENSE* NEWS README*
%config(noreplace) %{_sysconfdir}/idn.conf
%config(noreplace) %{_sysconfdir}/idnalias.conf
%{_sysconfdir}/idn.conf.sample
%{_sysconfdir}/idnalias.conf.sample
%{_bindir}/idnconv
%{_bindir}/mdnconv
%{_bindir}/runidn
%{_bindir}/runmdn
%{_libdir}/libidnkit.so.*
%{_libdir}/libidnkitlite.so.*
%{_libdir}/libidnkitres.so.*
%config(noreplace) %{_datadir}/%{name}
%{_mandir}/man1/idnconv.1*
%{_mandir}/man1/mdnconv.1*
%{_mandir}/man1/runidn.1*
%{_mandir}/man1/runmdn.1*
%{_mandir}/man5/idn.conf.5*
%{_mandir}/man5/idnalias.conf.5*
%{_mandir}/man5/idnrc.5*
%{_mandir}/man5/mdn.conf.5*

%files devel
%defattr(-,root,root)
%{_includedir}/idn
%{_includedir}/mdn
%{_libdir}/libidnkit.la
%{_libdir}/libidnkit.so
%{_libdir}/libidnkitlite.la
%{_libdir}/libidnkitlite.so
%{_libdir}/libidnkitres.la
%{_libdir}/libidnkitres.so
%{_mandir}/man3/libidnkit.3*
%{_mandir}/man3/libidnkitlite.3*
%{_mandir}/man3/libmdn.3*
%{_mandir}/man3/libmdnlite.3*

%files static
%defattr(-,root,root)
%{_libdir}/libidnkit.a
%{_libdir}/libidnkitlite.a
%{_libdir}/libidnkitres.a


%changelog
* Thu Jan 08 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0-1
- Initial build
